---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer auto replenish. Reference for the POST
    /workspaces/{organizationId}/customers/auto-replenish endpoint in the Pile
    API.
sidebar:
  label: Create customer auto replenish
  badge: POST
title: Create customer auto replenish
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/auto-replenish`

**Request body** (`application/json`)

- `totalLeads` (integer)

Request body example:

```json
{
  "totalLeads": 20
}
```

**Responses**

- `200` — Executed 80/20 Core Wedge vs Exploration auto-replenish across presets using Effect and bulk DO ingest

Response example, 200:

```json
{
  "totalPulled": 0,
  "totalCreated": 0,
  "totalUpdated": 0,
  "batches": [
    {
      "preset": "string",
      "bucket": "string",
      "ownerId": "string",
      "pulledCount": 0,
      "createdCount": 0,
      "updatedCount": 0,
      "nextOffset": 0
    }
  ]
}
```
